GroovyResultSet (Groovy 5.0.7)
Description: declaration: package: groovy.sql, interface: GroovyResultSet

Package groovy.sql

# Interface GroovyResultSet

All Superinterfaces:
  `AutoCloseable`, `GroovyObject`, `ResultSet`, `Wrapper`

public interface GroovyResultSet extends GroovyObject, ResultSet
Represents an extent of objects

- ## Field Summary

  ### Fields inherited from interface java.sql.ResultSet

  `CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Map values)`
  Adds a new row to this result set
  `void`
  `eachRow(Closure closure)`
  Call the closure once for each row in the result set.
  `Object`
  `getAt(int index)`
  Supports integer-based subscript operators for accessing at numbered columns starting at zero.
  `Object`
  `getAt(String columnName)`
  Gets the value of the designated column in the current row as an `Object`.
  `void`
  `putAt(int index, Object newValue)`
  Supports integer based subscript operators for updating the values of numbered columns starting at zero.
  `void`
  `putAt(String columnName, Object newValue)`
  Updates the designated column with an `Object` value.

  ### Methods inherited from interface groovy.lang.GroovyObject

  `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

  ### Methods inherited from interface java.sql.ResultSet

  `absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

  ### Methods inherited from interface java.sql.Wrapper

  `isWrapperFor, unwrap`

- ## Method Details

  - ### getAt

    Object getAt(int index) throws SQLException
    Supports integer-based subscript operators for accessing at numbered columns starting at zero. Negative indices are supported, they will count from the last column backwards.
    Parameters:
      `index` - is the number of the column to look at starting at 1
    Returns:
      the object for this index in the current result set
    Throws:
      `SQLException` - if a database error occurs

  - ### getAt

    Object getAt(String columnName)
    Gets the value of the designated column in the current row as an `Object`.
    Parameters:
      `columnName` - the SQL name of the column
    Returns:
      the returned column value
    Throws:
      `MissingPropertyException` - if an SQLException happens while getting the object

  - ### putAt

    void putAt(int index, Object newValue) throws SQLException
    Supports integer based subscript operators for updating the values of numbered columns starting at zero. Negative indices are supported, they will count from the last column backwards.
    Parameters:
      `index` - is the number of the column to look at starting at 1
      `newValue` - the new value for this index
    Throws:
      `SQLException` - if a database error occurs

  - ### putAt

    void putAt(String columnName, Object newValue)
    Updates the designated column with an `Object` value.
    Parameters:
      `columnName` - the SQL name of the column
      `newValue` - the updated value
    Throws:
      `MissingPropertyException` - if an SQLException happens while setting the new value

  - ### add

    void add(Map values) throws SQLException
    Adds a new row to this result set
    Parameters:
      `values` - the new values to add
    Throws:
      `SQLException` - if a database error occurs

  - ### eachRow

    void eachRow(Closure closure) throws SQLException
    Call the closure once for each row in the result set.
    Parameters:
      `closure` - the closure to call for each row
    Throws:
      `SQLException` - if a database error occurs